Bug 31990 - xterm -fa arial core dumps!
xterm -fa arial core dumps!
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-16 10:30 EST by Sammy
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-17 13:52:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2001-03-16 10:30:35 EST
OK....I just read the release notes of the latest xfree86 cvs tree.
It sais they have added the -fa FontFamily flag to exterm...this is
what everyone is using to test whether AA works or not.....in my
case xterm -fa arial core dumps every time!!
Comment 1 Mike A. Harris 2001-03-16 10:48:22 EST
We are not using "the latest XFree86 tree".  Are you refering to the release
notes included with a Red Hat release, or the release notes from XFree86
CVS.

Also, you do not indicate what version of XFree86 package you specifically
are using.  When reporting bugs against rawhide it is critical that you
specifically indicate which package you are using ie:

"I am using XFree86-4.0.2a-1 from rawhide with Mesa-3.4-12 and am having
problem foo.  I have attached my X server logs and config files in case
they may shed any light on the problem."

I am using the above package, with an ATI Radeon and I just tried the command
that you specified, and I get lovely AA fonts in xterm.  Perhaps you are
using a video card that is not supported by the XRender extension.

Feel free to attach the necessary info and I'll look at it, but I cannot
replicate the problem locally right now.
Comment 2 Sammy 2001-03-16 11:24:31 EST
I am using the March 11 rawhide....XFree86-4.0.2-12.1 and everything
else. Two computers using r128 and nv drivers. They both show RENDER
in the log file and xdpyinfo shows RENDER extension for xterm window.
Both computers give the exact same problem. My only difference from
rawhide is that I am using kernel 2.4.2-ac19 and I have some extra
truetype and type1 fonts. I have been using truetype fonts with Netscape
for a long time. Any thing that I can check?
Comment 3 Sammy 2001-03-17 13:51:56 EST
Well, I finally tracked this problem down to actual fonts. I cannot pin
point exactly what fonts couse the problem. I had a large set of Type1
fonts for printing, all in this directory (including truetype fonts
converted to type1) as well as some large TrueType foundaries. When I
slowly started pulling Type1 fonts out (of course re doing fonts.dir)
at some point xterm -fa stopped crashing. I know none of these fonts
are corrupt or anything like that AND rendering should not core dump
in any case. Certainly, if you just use the fonts that come from rawhide
it works.
Comment 4 Sammy 2001-03-19 15:34:33 EST
Problem fixed with XFree86-4.0.3-1 (or 4.0.2a).
Thanks
Comment 5 Mike A. Harris 2001-03-19 17:05:13 EST
Ok, beauty.  I'm glad this stuff is finally working now.

Note You need to log in before you can comment on or make changes to this bug.